<?

//
// File     : index.php
// Version  : $Id: index.php,v 1.22 2003/05/08 00:03:43 landonf Exp $
// Location : /projects/darwinports/index.php
//

	include_once("$DOCUMENT_ROOT/includes/od_lib.inc.php");
	od_print_header("DarwinPorts", "en", "iso-8859-1", "", 0, "/projects/darwinports");
?>

<?php
require("header.php") ;
?>

<!-- textual body contents here -->

<h2><a name=Mission>Mission Statement</a></h2>
<p>
The DarwinPorts project aims to provide a system that makes it easy to install freely available software on a Darwin system.<br>
For more information, please read the <a href="http://www.opendarwin.org/projects/darwinports/en/faq.php">FAQ</a>.<br>
For a tutorial on writing a Portfile, please read the <a href="http://www.opendarwin.org/projects/darwinports/en/portfileHOWTO.php">Portfile HOWTO</a>.
</p>
<a href=#Contents>Back to Contents</a>
<hr>

<h2><a name=Status>Project Status</a></h2>
<p>
A number of ports are done and the system is reasonably usable as
a <i>BETA</i> for anyone who's interested.  
You can search a list of <a href="http://www.opendarwin.org/projects/darwinports/en/ports.php">available software</a> here.
</p>
<a href=#Contents>Back to Contents</a>
<hr>

<h2><a name=Using>Using DarwinPorts</a></h2>
<p class="prose">
The <a href="http://darwinports.gene-hacker.net/docs/guide/">DarwinPorts User Guide</a>
 is an excellent reference on DarwinPorts syntax and concepts.  (Note it is a work in progress, so please feel free to make suggestions and report bugs in the doc component of the DarwinPorts <a href="http://www.opendarwin.org/bugzilla/">Bugzilla</a> product.)
</p>
<p>
A Cocoa-based GUI for DarwinPorts, <a href="http://www.opendarwin.org/cgi-bin/cvsweb.cgi/proj/PortsManager/">Ports Manager.app</a>, is available and under active development. <a href="http://www.opendarwin.org/~fkr/portsmanager.png">Screenshot.</a>
</p>
<p>
Bug reports and feature requests should be submitted to <a href="http://www.opendarwin.org/bugzilla/">Bugzilla</a>.
</p>
<p><strong>Getting the DarwinPorts project from CVS</strong></p>

<p><a name=GetStuff></a>
Use the following commands to get DarwinPorts from the OpenDarwin CVS server (required for Ports Manager.app):
</p>

<p>
<a name=CVS></a><pre>
cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od login
cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od co -P darwinports
</pre>

<p>
Use the following commands to get Ports Manager.app from the OpenDarwin CVS server:
</p>

<p>
<pre>
cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od login
cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od co -P PortsManager
</pre>
<p>
When the server asks you for a password you can simply hit return; the password is empty.
</p>
<p>
The CVS repository can be browsed through the <a href="http://www.opendarwin.org/cgi-bin/cvsweb.cgi/proj/darwinports/">CVSweb Server</a>.
</p>
<p>
The Mac OS X <a href="http://developer.apple.com/tools/">Developer Tools</a> are required for installing and using DarwinPorts.
</p>
<a href=#Contents>Back to Contents</a>
<hr>

<h2><a name=Mail>Project mailing lists and IRC channels</a></h2>
<h4>Mailing Lists:</h4><ul>
<li><a href="http://www.opendarwin.org/mailman/listinfo/darwinports">
darwinports</a>
<li><a href="http://www.opendarwin.org/mailman/listinfo/cvs-darwinports-all">
cvs-darwinports-all</a>
<li><a href="http://www.opendarwin.org/mailman/listinfo/darwinports-bugs">
DarwinPorts-Bugs</a>
</ul>
<h4>IRC Channels</h4><ul>
<li>#opendarwin channel on the <a
href="http://freenode.net/">freenode network</a>
</ul>
</p>
<h4>Notes</h4>
<p>The <a
href="http://www.opendarwin.org/mailman/listinfo/darwinports">darwinports
mailing list</a> is open to all and is where most architectural and
feature discussions are held.
</p>
<p>
Those wishing to see the cvs commit logs which detail the change-by-change
 progress of the project can also subscribe to the 
<a href="http://www.opendarwin.org/mailman/listinfo/cvs-darwinports-all">cvs-darwinports-all</a> mailing list.</p>
<p>Those wishing to see what bugs are being reported and which ports have recently been submitted should subscribe to the <a href="http://www.opendarwin.org/mailman/listinfo/darwinports-bugs">
DarwinPorts-Bugs</a> mailing list.
</p>
<p>For more real-time discussion, the #opendarwin channel on the <a
href="http://freenode.net/">freenode network</a> is generally
where we hang out.</p>

<a href=#Contents>Back to Contents</a>
<hr>
<h2><a name=Join>Joining the project</a></h2>
<p>
We are looking for people who would like to help to make this project a success. There are still many parts of the project that need work, including: documentation, making ports, maintaining ports, testing ports, and testing infrastructure.
</p>
<p>
All contributions are very much welcome! If you are interested, then either send an e-mail to one of the project leads asking what needs to be done or simply submit an application to join the project with <a href="/en/joinproject.php">this form</a>.  Thanks!
</p>

<a href=#Contents>Back to Contents</a>
<hr>
<h2><a name=Contrib>Contributing Ports</a></h2>
<p>
You must have the <a href=#GetStuff>ports infrastructure and current ports tree</a> installed.
</p>
<p>
Please read and understand the <a href="http://www.opendarwin.org/projects/darwinports/en/portfileHOWTO.php">Portfile HOWTO</a>.
</p>
<p>
You should also thoroughly understand how to use the ports system.
The <a href="http://darwinports.gene-hacker.net/docs/guide/">DarwinPorts User Guide</a> would be a good place to start.
</p>
<p>
So, you want make a port of your favourite software for Darwin, eh? You've read and understood the documentation and you've made your portfile and tested it? (testing documentation on the way) Now you want to send it in?
</p>
<p>Well, that's the easy part! Send it to us using 
<a href="http://www.opendarwin.org/bugzilla/">Bugzilla</a>.
</p>
<p>
Create a bug report for your port, attach the portfile, and one of the project
committers will examine it shortly and let you know the results. Don't forget, you can examine the current submission queue <a href=#CurSubs>here<a>, and you can watch for your port to be committed <a
href="http://www.opendarwin.org/mailman/listinfo/cvs-darwinports-all">here</a>.
 </p>
<a href=#Contents>Back to Contents</a>
<hr>

<h2><a name=CurSubs>Current Ports Queue</a></h2>
<p>
This documentation is currently in work. Please check back later.
</p>
<a href=#Contents>Back to Contents</a>
<hr>

<h2><a name=Security>DarwinPorts Security Advisories</a></h2>
<p>
This documentation is currently in work. Please check back later.
</p>
<a href=#Contents>Back to Contents</a>
<hr>

</td></tr>
</table>
<? 
	od_print_footer("en"); 
?>
