<?



//

// File     : index.php

// Version  : $Id: index.php,v 1.22 2003/05/08 00:03:43 landonf Exp $

// Location : /projects/doc/index.php

//



	include_once("$DOCUMENT_ROOT/includes/od_lib.inc.php");

	od_print_header("doc", "en", "iso-8859-1", "", 0, "/projects/doc");

?>



<center>

<table border="0" width="500" cellspacing="0" cellpadding="3">

<tr><td>



<h2>Projects :: doc</h2>



<p>

<a name="contacts"><i>Project Contacts: </i></a><br>

<a href="mailto:jim%40opendarwin.org">Jim Mock</a>, Coordinator <br>

<a href="mailto:eric%40opendarwin.org">Eric Albert</a>, Editor <br>

<a href="mailto:kevin%40opendarwin.org">Kevin Van Vechten</a>, CVS Administrator <br>

<a href="http://www.opendarwin.org/mailman/listinfo/doc">Doc@OpenDarwin.org</a>, Team Mailing List <br>

<a href="http://www.opendarwin.org/mailman/listinfo/cvs-doc-all">cvs-Doc-all@OpenDarwin.org</a>, CVS Mailing List <br>

</p>



<p>

The OpenDarwin documentation project ("Doc") creates and manages tools and content for documenting Darwin, OpenDarwin, and DarwinPorts.  Current resources (links coming soon) include:

<ul>

	<li>How-Tos

	<li>Makefiles for generating HTML from DocBook XML (via ports system libxstl)

	<li>Documentation Style Guide

	<li>Porting User Guide

	<li>Darwinports How-Tos

	<li>DarwinPorts FAQ

	<li>OpenDarwin FAQ

</ul>

</p>

<p>

We also work closely with the "www" project (responsible for the overall <a href="http://opendarwin.org/">web site</a> and <a href="http://opendarwin.org/bugzilla/">Bugzilla</a>), as well as the individual <a href="http://opendarwin.org/projects/">project</a> web teams.  In general, the Doc project contains anything written in DocBook XML, whereas www contains HTML/PHP/CGI content, and man pages live with the source code.

</p>



<p><strong>Project Status</strong></p>

<p>

We have just started populating the CVS repository.  Current action items are:

<ul>

	<li> Translate all /doc content into DocBook XML: Dave Leimbach

	<li> Automate XML build into site push: <a href="mailto:kevin%40opendarwin.org">Kevin</a>

	<li> Email members & process for CVS commits: <a href="mailto:kevin%40opendarwin.org">Kevin</a>

	<li>DarwinPorts flyer: <a href="mailto:fkr%40opendarwin.org">Felix Kronlage</a>

	<li>User Guide:

	<ul>

		<li>(a) Merge Portfile How-To: <a href="mailto:wb%40willbarton.com">Will Barton</a>

		<li>(b) Add "test & debug" chapter: <a href="mailto:allenwc%40shaw.ca">Liam Allen</a>

	</ul>

</ul>



<p>

Of course, there is much more to be done, and all of these people would welcome help.

Your contributions (new content, corrections, related links) are very much welcomed! If interested, send an e-mail to one of our <a href="#contacts">contacts</a> asking what needs to be done or simply submit an application to <a href="/en/joinproject.php">join the project</a>.  Thanks!

</p>



<p><strong>Getting the project from CVS</strong></p>



<p>

</p>



<p>

<pre>

cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od login

cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od co -P doc

</pre>



When the server asks you for a password you can simply hit return; the password is empty.

The CVS repository can be browsed through the <a href="http://www.opendarwin.org/cgi-bin/cvsweb.cgi/doc/">CVSweb</a> interface.

</p>



<p>

In order to run the Makefiles to generate HTML, the Mac OS X <a href="http://developer.apple.com/tools/">Developer Tools</a> must be installed.

</p>

<p>

After installing the developer tools, and the darwinports system<br>

you will need to install the libxslt port, the docbook-xml port, and the docbook-xsl port.

</p>

<p>at the command prompt type: 

<code>% sudo port install libxslt</code>, 

this will install libxslt and its dependencies.<br>

you just do the same for the other two ports.<br>

Then you are all ready to go.

</p>

<p>

To use libxslt to generate the xhtml you will need to change to the directory of the document you are editing or altering and run <code>% make xhtml</code>. This will create the xhtml subdir and populate it with the generated html files. It will also inform you of errors in your xml style.

</p>



<p><strong>Links on this page</strong></p>

<a href="http://www.opendarwin.org/cgi-bin/cvsweb.cgi/doc/">CVSweb</a><br>

<a href="/en/joinproject.php">join the project</a><br>

<a href="http://developer.apple.com/tools/">Developer Tools</a><br>

<a href="http://opendarwin.org/projects/">project</a> web teams<br>

<a href="http://www.opendarwin.org/mailman/listinfo/cvs-doc-all">

cvs-Doc-all@OpenDarwin.org</a>, CVS Mailing List <br>

<a href="http://www.opendarwin.org/mailman/listinfo/doc">

Doc@OpenDarwin.org</a>, Team Mailing List<br>

</p>



</td></tr>

</table>

</center>





<? 

	od_print_footer("en"); 

?>

